# *-* coding=utf8 *-*

mbr_part_types = {
    "BE": "Solaris 8 boot partition",
    "BF": "New Solaris x86 partition",
    "BB": "Boot Wizard hidden",
    "BC": "Acronis backup partition",
    "16": "Hidden DOS 16-bit FAT >=32M",
    "4A": "Mark Aitchison's ALFS/THIN lightweight filesystem for DOS or AdaOS Aquila (Withdrawn)",
    "5C": "Priam EDisk",
    "24": "NEC DOS 3.x",
    "26": "Reserved",
    "27": "PQservice or Windows RE hidden partition or MirOS partition or RouterBOOT kernel partition",
    "20": "Unused",
    "21": "Reserved or Unused",
    "22": "Unused",
    "23": "Reserved",
    "1B": "Hidden WIN95 OSR2 FAT32",
    "11": "Hidden DOS 12-bit FAT or Leading Edge DOS 3.x logically sectored FAT",
    "10": "OPUS (?)",
    "12": "Configuration/diagnostics partition",
    "2A": "AtheOS File System (AFS)",
    "2B": "SyllableSecure (SylStor)",
    "14": "Hidden DOS 16-bit FAT <32M or AST DOS with logically sectored FAT",
    "F6": "Storage Dimensions SpeedStor",
    "61": "SpeedStor",
    "55": "EZ-Drive",
    "54": "Disk Manager 6.0 Dynamic Drive Overlay (DDO)",
    "57": "DrivePro or VNDI Partition",
    "56": "Golden Bow VFeature Partitioned Volume. or DM converted to EZ-BIOS or AT&T MS-DOS 3.x logically sectored FAT.",
    "51": "OnTrack Disk Manager RW (DM6 Aux1) or Novell",
    "50": "OnTrack Disk Manager (older versions) RO or Lynx RTOS or Native Oberon (alt)",
    "53": "Disk Manager 6.0 Aux3",
    "52": "CP/M or Microport SysV/AT",
    "B4": "HP Volume Expansion (SpeedStor variant)",
    "B6": "HP Volume Expansion (SpeedStor variant) or Corrupted Windows NT mirror set (master), FAT16 file system",
    "B7": "Corrupted Windows NT mirror set (master), NTFS file system or BSDI BSD/386 filesystem",
    "B0": "BootStar Dummy",
    "B1": "HP Volume Expansion (SpeedStor variant) or QNX Neutrino Power-Safe filesystem",
    "B2": "QNX Neutrino Power-Safe filesystem",
    "B3": "HP Volume Expansion (SpeedStor variant) or QNX Neutrino Power-Safe filesystem",
    "1E": "Hidden WIN95 16-bit FAT, LBA-mapped",
    "1C": "Hidden WIN95 OSR2 FAT32, LBA-mapped",
    "B8": "BSDI BSD/386 swap partition",
    "65": "Novell Netware 386, 3.xx or 4.xx",
    "66": "Novell Netware SMS Partition",
    "88": "Linux plaintext partition table",
    "82": "Prime or Solaris x86 or Linux swap",
    "3B": "THEOS ver 4 extended partition",
    "3A": "THEOS ver 4 4gb partition",
    "81": "MINIX since 1.4b, early Linux or Mitac disk manager",
    "86": "Old Linux RAID partition superblock or FAT16 volume set",
    "87": "NTFS volume set",
    "84": "OS/2 hidden C: drive or Hibernation partition",
    "85": "Linux extended partition",
    "02": "XENIX root",
    "03": "XENIX /usr",
    "00": "Empty",
    "01": "DOS 12-bit FAT",
    "06": "DOS 3.31+ 16-bit FAT (over 32M)",
    "07": "Windows NT NTFS or OS/2 IFS (e.g., HPFS) or exFAT or Advanced Unix or QNX2.x pre-1988",
    "04": "DOS 3.0+ 16-bit FAT (up to 32M)",
    "05": "DOS 3.3+ Extended Partition",
    "08": "OS/2 (v1.0-1.3 only) or AIX boot partition or SplitDrive or Commodore DOS or DELL partition spanning multiple drives or QNX 1.x and 2.x (\"qny\")",
    "09": "AIX data partition or Coherent filesystem or QNX 1.x and 2.x (\"qnz\")",
    "E8": "LUKS",
    "E5": "Tandy MSDOS with logically sectored FAT",
    "E4": "SpeedStor 16-bit FAT extended partition < 1024 cyl.",
    "F5": "Prologue multi-volume partition",
    "E6": "Storage Dimensions SpeedStor",
    "E1": "DOS access or SpeedStor 12-bit FAT extended partition",
    "E0": "Reserved by STMicroelectronics for a filesystem called ST AVFS.",
    "E3": "DOS R/O or SpeedStor",
    "EE": "Indication that this legacy MBR is followed by an EFI header",
    "ED": "Unused",
    "EF": "Partition that contains an EFI file system",
    "EC": "SkyOS SkyFS",
    "EB": "BeOS BFS",
    "0B": "WIN95 OSR2 FAT32",
    "0C": "WIN95 OSR2 FAT32, LBA-mapped",
    "0A": "OS/2 Boot Manager or Coherent swap partition or OPUS",
    "0F": "WIN95: Extended partition, LBA-mapped",
    "0E": "WIN95: DOS 16-bit FAT, LBA-mapped",
    "39": "Plan 9 partition or THEOS ver 4 spanned partition",
    "38": "THEOS ver 3.2 2gb partition",
    "8B": "Legacy Fault Tolerant FAT32 volume",
    "8C": "Legacy Fault Tolerant FAT32 volume using BIOS extd INT 13h",
    "31": "Reserved",
    "8A": "Linux Kernel Partition (used by AiR-BOOT)",
    "36": "Reserved",
    "8D": "Free FDISK 0.96+ hidden Primary DOS FAT12 partitition",
    "8E": "Linux Logical Volume Manager partition",
    "FA": "Bochs",
    "FB": "VMware File System partition",
    "FC": "VMware Swap partition",
    "64": "PC-ARMOUR protected partition or Novell Netware 286, 2.xx",
    "FE": "SpeedStor > 1024 cyl. or LANstep or IBM PS/2 IML (Initial Microcode Load) partition, located at the end of the disk. or Windows NT Disk Administrator hidden partition or Linux Logical Volume Manager partition (old)",
    "FF": "Xenix Bad Block Table",
    "67": "Novell",
    "68": "Novell",
    "69": "Novell Netware 5+, Novell Netware NSS Partition",
    "F9": "pCache",
    "FD": "Linux raid partition with autodetect using persistent superblock",
    "9A": "Free FDISK 0.96+ hidden Primary DOS FAT16 partitition (LBA)",
    "9B": "Free FDISK 0.96+ hidden DOS extended partitition (LBA)",
    "9E": "ForthOS partition",
    "9F": "BSD/OS",
    "C9": "Reserved for DR-DOS 8.0+",
    "C8": "Reserved for DR-DOS 8.0+",
    "C3": "Hidden Linux swap",
    "C2": "Unused or Hidden Linux",
    "C1": "DRDOS/secured (FAT-12)",
    "C0": "CTOS or REAL/32 secure small partition or NTFT Partition or DR-DOS/Novell DOS secured partition",
    "C7": "Windows NT corrupted NTFS volume/stripe set or Syrinx boot",
    "C6": "DRDOS/secured (FAT-16, >= 32M) or Windows NT corrupted FAT16 volume/stripe set",
    "C5": "DRDOS/secured (extended)",
    "C4": "DRDOS/secured (FAT-16, < 32M)",
    "CC": "DR-DOS 7.04+ secured FAT32 (LBA)/",
    "CB": "DR-DOS 7.04+ secured FAT32 (CHS)/",
    "CA": "Reserved for DR-DOS 8.0+",
    "CF": "DR-DOS 7.04+ secured EXT DOS (LBA)/",
    "CE": "DR-DOS 7.04+ FAT16X (LBA)/",
    "CD": "CTOS Memdump?",
    "99": "DCE376 logical drive",
    "98": "Free FDISK 0.96+ hidden Primary DOS FAT32 partitition (LBA) or Datalight ROM-DOS Super-Boot Partition",
    "91": "Free FDISK 0.96+ hidden DOS extended partitition",
    "90": "Free FDISK 0.96+ hidden Primary DOS FAT16 partitition",
    "93": "Hidden Linux native partition or Amoeba",
    "92": "Free FDISK 0.96+ hidden Primary DOS large FAT16 partitition",
    "95": "MIT EXOPC native partitions",
    "94": "Amoeba bad block table",
    "97": "Free FDISK 0.96+ hidden Primary DOS FAT32 partitition",
    "96": "CHRP ISO-9660 filesystem",
    "F0": "Linux/PA-RISC boot loader",
    "F1": "Storage Dimensions SpeedStor",
    "F2": "DOS 3.3+ secondary partition",
    "F3": "Reserved",
    "F4": "SpeedStor large partition or Prologue single-volume partition",
    "6E": "??",
    "17": "Hidden IFS (e.g., HPFS)",
    "F7": "DDRdrive Solid State File System",
    "19": "Unused",
    "18": "AST SmartSleep Partition",
    "33": "Reserved",
    "32": "NOS",
    "DF": "DG/UX virtual disk manager partition or BootIt EMBRM",
    "DD": "Hidden CTOS Memdump?",
    "DE": "Dell PowerEdge Server utilities (FAT fs)",
    "DB": "Digital Research CP/M, Concurrent CP/M, Concurrent DOS or CTOS (Convergent Technologies OS -Unisys) or KDG Telemetry SCPU boot",
    "DA": "Non-FS Data or Powercopy Backup",
    "3C": "PartitionMagic recovery partition",
    "35": "JFS on OS/2 or eCS",
    "83": "Linux native partition",
    "34": "Reserved",
    "80": "MINIX until 1.4a",
    "7F": "Unused",
    "7E": "Unused",
    "48": "EUMEL/Elan",
    "63": "Unix System V (SCO, ISC Unix, UnixWare, ...), Mach, GNU Hurd",
    "47": "EUMEL/Elan",
    "44": "GoBack partition",
    "45": "Boot-US boot manager or Priam or EUMEL/Elan",
    "42": "Linux swap (sharing disk with DRDOS) or SFS (Secure Filesystem) or Windows 2000 dynamic extended partition marker",
    "43": "Linux native (sharing disk with DRDOS)",
    "40": "Venix 80286 or PICK",
    "41": "Linux/MINIX (sharing disk with DRDOS) or Personal RISC Boot or PPC PReP (Power PC Reference Platform) Boot",
    "A1": "Laptop hibernation partition or HP Volume Expansion (SpeedStor variant)",
    "A0": "Laptop hibernation partition",
    "A3": "HP Volume Expansion (SpeedStor variant)",
    "A5": "BSD/386, 386BSD, NetBSD, FreeBSD",
    "A4": "HP Volume Expansion (SpeedStor variant)",
    "A7": "NeXTStep",
    "A6": "OpenBSD or HP Volume Expansion (SpeedStor variant)",
    "A9": "NetBSD",
    "A8": "Mac OS-X",
    "3D": "Hidden NetWare",
    "AA": "Olivetti Fat 12 1.44MB Service Partition",
    "AB": "Mac OS-X Boot partition or GO! partition",
    "AE": "ShagOS filesystem",
    "AF": "ShagOS swap partition or MacOS X HFS",
    "77": "M2FS/M2CS partition or VNDI Partition",
    "76": "Reserved",
    "75": "IBM PC/IX",
    "74": "Reserved or Scramdisk partition",
    "73": "Reserved",
    "72": "V7/x86",
    "71": "Reserved",
    "70": "DiskSecure Multi-Boot",
    "4F": "QNX4.x 3rd part or Oberon partition",
    "4D": "QNX4.x",
    "4E": "QNX4.x 2nd part",
    "4C": "Oberon partition",
    "78": "XOSL FS",
    "46": "EUMEL/Elan",
    "D8": "CP/M-86",
    "D6": "Old Multiuser DOS secured FAT16 >=32M",
    "D4": "Old Multiuser DOS secured FAT16 <32M",
    "D5": "Old Multiuser DOS secured extended partition",
    "D0": "REAL/32 secure big partition or Multiuser DOS secured partition",
    "D1": "Old Multiuser DOS secured FAT12"
}
