# *-* coding=utf8 *-*

uefi_part_types = {
    "00000000-0000-0000-0000-000000000000": {"OS": None, "Type": "Unused entry"},
    "024DEE41-33E7-11D3-9D69-0008C781F39F": {"OS": None, "Type": "MBR partition scheme"},
    "C12A7328-F81F-11D2-BA4B-00A0C93EC93B": {"OS": None, "Type": "EFI System partition"},
    "21686148-6449-6E6F-744E-656564454649": {"OS": None, "Type": "BIOS Boot partition"},
    "D3BFE2DE-3DAF-11DF-BA40-E3A556D89593": {"OS": None,
                                             "Type": "Intel Fast Flash (iFFS) partition (for Intel Rapid Start technology)"},
    "F4019732-066E-4E12-8273-346C5641494F": {"OS": None, "Type": "Sony boot partition"},
    "BFBFAFE7-A34F-448A-9A5B-6213EB736C22": {"OS": None, "Type": "Lenovo boot partition"},

    "E3C9E316-0B5C-4DB8-817D-F92DF00215AE": {"OS": "Windows", "Type": "Microsoft Reserved Partition (MSR)"},
    "EBD0A0A2-B9E5-4433-87C0-68B6B72699C7": {"OS": "Windows", "Type": "Basic data partition"},
    "5808C8AA-7E8F-42E0-85D2-E1E90434CFB3": {"OS": "Windows", "Type": "Logical Disk Manager (LDM) metadata partition"},
    "AF9B60A0-1431-4F62-BC68-3311714A69AD": {"OS": "Windows", "Type": "Logical Disk Manager data partition"},
    "DE94BBA4-06D1-4D40-A16A-BFD50179D6AC": {"OS": "Windows", "Type": "Windows Recovery Environment"},
    "37AFFC90-EF7D-4E96-91C3-2D7AE055B174": {"OS": "Windows",
                                             "Type": "IBM General Parallel File System (GPFS) partition"},
    "E75CAF8F-F680-4CEE-AFA3-B001E56EFC2D": {"OS": "Windows", "Type": "Storage Spaces partition"},

    "75894C1E-3AEB-11D3-B7C1-7B03A0000000": {"OS": "HP-UX", "Type": "Data partition"},
    "E2A1E728-32E3-11D6-A682-7B03A0000000": {"OS": "HP-UX", "Type": "Service Partition"},

    "0FC63DAF-8483-4772-8E79-3D69D8477DE4": {"OS": "Linux", "Type": "Linux filesystem data"},
    "A19D880F-05FC-4D3B-A006-743F0F84911E": {"OS": "Linux", "Type": "RAID partition"},
    "0657FD6D-A4AB-43C4-84E5-0933C84B4F4F": {"OS": "Linux", "Type": "Swap partition"},
    "E6D6D379-F507-44C2-A23C-238F2A3DF928": {"OS": "Linux", "Type": "Logical Volume Manager (LVM) partition"},
    "933AC7E1-2EB4-4F13-B844-0E14E2AEF915": {"OS": "Linux", "Type": "/home partition"},
    "3B8F8425-20E0-4F3B-907F-1A25A76F98E8": {"OS": "Linux", "Type": "/srv (server data) partition"},
    "7FFEC5C9-2D00-49B7-8941-3EA10A5586B7": {"OS": "Linux", "Type": "Plain dm-crypt partition"},
    "CA7D7CCB-63ED-4C53-861C-1742536059CC": {"OS": "Linux", "Type": "LUKS partition"},
    "8DA63339-0007-60C0-C436-083AC8230908": {"OS": "Linux", "Type": "Reserved"},

    "83BD6B9D-7F41-11DC-BE0B-001560B84F0F": {"OS": "FreeBSD", "Type": "Boot partition"},
    "516E7CB4-6ECF-11D6-8FF8-00022D09712B": {"OS": "FreeBSD", "Type": "Data partition"},
    "516E7CB5-6ECF-11D6-8FF8-00022D09712B": {"OS": "FreeBSD", "Type": "Swap partition"},
    "516E7CB6-6ECF-11D6-8FF8-00022D09712B": {"OS": "FreeBSD", "Type": "Unix File System (UFS) partition"},
    "516E7CB8-6ECF-11D6-8FF8-00022D09712B": {"OS": "FreeBSD", "Type": "Vinum volume manager partition"},
    "516E7CBA-6ECF-11D6-8FF8-00022D09712B": {"OS": "FreeBSD", "Type": "ZFS partition"},

    "48465300-0000-11AA-AA11-00306543ECAC": {"OS": "Mac OS X",
                                             "Type": "Hierarchical File System Plus (HFS+) partition"},
    "55465300-0000-11AA-AA11-00306543ECAC": {"OS": "Mac OS X", "Type": "Apple UFS"},
    "6A898CC3-1DD2-11B2-99A6-080020736631": {"OS": "Mac OS X", "Type": "ZFS"},
    "52414944-0000-11AA-AA11-00306543ECAC": {"OS": "Mac OS X", "Type": "Apple RAID partition"},
    "52414944-5F4F-11AA-AA11-00306543ECAC": {"OS": "Mac OS X", "Type": "Apple RAID partition, offline"},
    "426F6F74-0000-11AA-AA11-00306543ECAC": {"OS": "Mac OS X", "Type": "Apple Boot partition"},
    "4C616265-6C00-11AA-AA11-00306543ECAC": {"OS": "Mac OS X", "Type": "Apple Label"},
    "5265636F-7665-11AA-AA11-00306543ECAC": {"OS": "Mac OS X", "Type": "Apple TV Recovery partition"},
    "53746F72-6167-11AA-AA11-00306543ECAC": {"OS": "Mac OS X",
                                             "Type": "Apple Core Storage (i.e. Lion FileVault) partition"},

    "6A82CB45-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Boot partition"},
    "6A85CF4D-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Root partition"},
    "6A87C46F-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Swap partition"},
    "6A8B642B-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Backup partition"},
    "6A898CC3-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "/usr partition"},
    "6A8EF2E9-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "/var partition"},
    "6A90BA39-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "/home partition"},
    "6A9283A5-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Alternate sector"},
    "6A945A3B-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Reserved partition"},
    "6A9630D1-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Reserved partition"},
    "6A980767-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Reserved partition"},
    "6A96237F-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Reserved partition"},
    "6A8D2AC7-1DD2-11B2-99A6-080020736631": {"OS": "Solaris", "Type": "Reserved partition"},

    "49F48D32-B10E-11DC-B99B-0019D1879648": {"OS": "NetBSD", "Type": "Swap partition"},
    "49F48D5A-B10E-11DC-B99B-0019D1879648": {"OS": "NetBSD", "Type": "FFS partition"},
    "49F48D82-B10E-11DC-B99B-0019D1879648": {"OS": "NetBSD", "Type": "LFS partition"},
    "49F48DAA-B10E-11DC-B99B-0019D1879648": {"OS": "NetBSD", "Type": "RAID partition"},
    "2DB519C4-B10F-11DC-B99B-0019D1879648": {"OS": "NetBSD", "Type": "Concatenated partition"},
    "2DB519EC-B10F-11DC-B99B-0019D1879648": {"OS": "NetBSD", "Type": "Encrypted partition"},

    "FE3A2A5D-4F32-41A7-B725-ACCC3285A309": {"OS": "ChromeOS", "Type": "ChromeOS kernel"},
    "3CB8E202-3B7E-47DD-8A3C-7FF2A13CFCEC": {"OS": "ChromeOS", "Type": "ChromeOS rootfs"},
    "2E0A753D-9E48-43B0-8337-B15192CB1B5E": {"OS": "ChromeOS", "Type": "ChromeOS future use"},

    "42465331-3BA3-10F1-802A-4861696B7521": {"OS": "Haiku", "Type": "Haiku BFS"},

    "85D5E45E-237C-11E1-B4B3-E89A8F7FC3A7": {"OS": "MidnightBSD", "Type": "Boot partition"},
    "85D5E45A-237C-11E1-B4B3-E89A8F7FC3A7": {"OS": "MidnightBSD", "Type": "Data partition"},
    "85D5E45B-237C-11E1-B4B3-E89A8F7FC3A7": {"OS": "MidnightBSD", "Type": "Swap partition"},
    "0394EF8B-237E-11E1-B4B3-E89A8F7FC3A7": {"OS": "MidnightBSD", "Type": "Unix File System (UFS) partition"},
    "85D5E45C-237C-11E1-B4B3-E89A8F7FC3A7": {"OS": "MidnightBSD", "Type": "Vinum volume manager partition"},
    "85D5E45D-237C-11E1-B4B3-E89A8F7FC3A7": {"OS": "MidnightBSD", "Type": "ZFS partition"},

    "45B0969E-9B03-4F30-B4C6-B4B80CEFF106": {"OS": "Ceph", "Type": "Ceph Journal"},
    "45B0969E-9B03-4F30-B4C6-5EC00CEFF106": {"OS": "Ceph", "Type": "Ceph dm-crypt Encrypted Journal"},
    "4FBD7E29-9D25-41B8-AFD0-062C0CEFF05D": {"OS": "Ceph", "Type": "Ceph OSD"},
    "4FBD7E29-9D25-41B8-AFD0-5EC00CEFF05D": {"OS": "Ceph", "Type": "Ceph dm-crypt OSD"},
    "89C57F98-2FE5-4DC0-89C1-F3AD0CEFF2BE": {"OS": "Ceph", "Type": "Ceph disk in creation"},
    "89C57F98-2FE5-4DC0-89C1-5EC00CEFF2BE": {"OS": "Ceph", "Type": "Ceph dm-crypt disk in creation"},

    "824CC7A0-36A8-11E3-890A-952519AD3F61": {"OS": "OpenBSD", "Type": "Data partition"}
}
